import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiSingleSelectionElement } from "../../elements/StiSingleSelectionElement";
export declare class StiSingleSelectionComponent implements OnInit {
    model: StiModelService;
    element: StiSingleSelectionElement;
    isClone: boolean;
    constructor(model: StiModelService);
    get columns(): any[];
    get rows(): any[];
    getColumns(rowIndex: number): any[];
    get align(): string;
    disableDrag(event: any): void;
    changeState(option: any): void;
    ngOnInit(): void;
}
